Skip to content

Retrieve all records for a specific component type.

GET/api/{version}/configuration/{component_type}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{component_type}The component type name (Picklist, Docfield, Doctype, etc.).
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v20.2/configuration/Picklist
{ "responseStatus": "SUCCESS", "data": [ { "name": "color__c", "label": "Color", "Picklistentry": [ { "name": "red__c", "value": "Red", "order": 1, "active": true }, { "name": "blue__c", "value": "Blue", "order": 2, "active": true }, { "name": "green__c", "value": "Green", "order": 3, "active": true } ], "active": true, "used_in": [] } ] }

On SUCCESS, the response contains all component records in the Vault for the specified component type. Each component record returns a minimum of API name and UI label, but most types return more. Complete details of the component can be retrieved using Retrieve Component Record or MDL.